> module Grid where
> import Data.List

> newtype GameLevel = GameLevel [[Bool]]
                                       
                                            
> newtype GameLevelDat = GameLevelDat [[Int]] 

> loadLevel :: GameLevelDat -> GameLevel
> loadLevel (GameLevelDat l) = GameLevel $ map  (map (1==)) l

> level1 :: GameLevelDat
> level1 = GameLevelDat $ transpose $ reverse 
>          [[1,1,1,1,1,1,1,1,1,1,1,1,1,1],
>           [1,0,0,0,0,1,0,0,0,0,0,0,0,1],
>           [1,1,0,0,0,0,0,0,0,0,0,0,0,1],
>           [1,0,0,0,0,0,0,0,0,0,0,0,0,1],
>           [1,0,0,0,0,0,0,0,0,0,0,0,0,1],
>           [1,0,0,0,0,0,0,0,0,0,0,0,0,1],
>           [1,0,0,0,0,0,1,1,1,0,0,0,0,1],
>           [1,0,0,0,0,0,0,0,0,0,0,0,0,1],
>           [1,0,0,0,0,0,0,0,0,0,0,0,0,1],
>           [1,0,0,0,0,0,0,0,0,0,0,0,0,1],
>           [1,0,0,0,0,0,0,0,0,0,0,0,0,1],
>           [1,0,0,0,0,0,0,0,0,0,0,0,0,1],
>           [1,0,0,0,0,0,0,0,0,0,0,0,0,1],
>           [1,1,1,1,1,1,1,1,1,1,1,1,1,1]]