Template game for HOpengl

> import Graphics.Rendering.OpenGL
> import Graphics.Rendering.OpenGL.GL
> import Graphics.UI.GLUT.GameMode
> import Graphics.UI.GLUT
> import qualified Musicwrapper
> import System.Random
> import Data.IORef
> import Bindings
> import Entities
> import Consts
> import Grid
> import Treestructs2

Starting conditions:


Code to create the window, &c.

> initializeGame :: IO()
> initializeGame = do
>  (progname,_) <- getArgsAndInitialize
>  initialDisplayMode $= [DoubleBuffered]

  createWindow "Lightcone"
  reshapeCallback $= Just reshape

>  enterGameMode 
>  g <- getStdGen
>  gamestate <- newIORef (initialState g True 0)
>  windowSize $= Size 800 500
>  Musicwrapper.init_sound
>  keyboardMouseCallback $= Just (keyboardMouse gamestate)
>  addTimerCallback msInterval (tick gamestate)
>  displayCallback $= (display gamestate)
>  return()

> main :: IO()
> main = do
>  initializeGame
>  mainLoop


